package com.xmomen.module.system.model;

import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * Created by Jeng on 16/4/2.
 */
public class DictionaryGroup implements Serializable {

    /**
     * 物理主键
     */
    private Integer id;
    /**
     * 字典编号
     */
    private String dictionaryCode;

    /**
     * 字典描述
     */
    private String dictionaryDesc;

    /**
     * 是否启用
     */
    private Integer available;

    /**
     * 启用状态描述
     */
    // 可用描述
    private String availableDesc;

    // 获取id
    public Integer getId() {
        return id;
    }

    // 设置id
    public void setId(Integer id) {
        this.id = id;
    }

    // 获取字典编码
    public String getDictionaryCode() {
        return dictionaryCode;
    }

    // 设置字典编码
    public void setDictionaryCode(String dictionaryCode) {
        this.dictionaryCode = dictionaryCode;
    }

    // 获取字典描述
    public String getDictionaryDesc() {
        return dictionaryDesc;
    }

    // 设置字典描述
    public void setDictionaryDesc(String dictionaryDesc) {
        this.dictionaryDesc = dictionaryDesc;
    }

    // 获取可用状态
    public Integer getAvailable() {
        return available;
    }

    // 设置可用状态
    public void setAvailable(Integer available) {
        this.available = available;
    }

    // 获取可用描述
    public String getAvailableDesc() {
        return availableDesc;
    }

    // 设置可用描述
    public void setAvailableDesc(String availableDesc) {
        this.availableDesc = availableDesc;
    }
}
